### Class

# Handy HeaderGroup

since: 1.0

#### Description [src]

    final class Handy.HeaderGroup : GObject.Object
      implements Gtk.Buildable {
      /* No available fields */
    }

An object handling composite title bars.

The `HdyHeaderGroup` object handles the header bars of a composite title bar. It splits the window decoration across the header bars, giving the left side of the decorations to the leftmost header bar, and the right side of the decorations to the rightmost header bar. See `hdy_header_bar_set_decoration_layout()`.

The `HdyHeaderGroup:decorate-all` property can be used in conjunction with `HdyLeaflet:folded` when the title bar is split across the pages of a `HdyLeaflet` to automatically display the decorations on all the pages when the leaflet is folded.

You can nest header groups, which is convenient when you nest leaflets too:

    <object class="HdyHeaderGroup" id="inner_header_group">
      <property name="decorate-all" bind-source="inner_leaflet" bind-property="folded" bind-flags="sync-create"/>
      <headerbars>
        <headerbar name="inner_header_bar_1"/>
        <headerbar name="inner_header_bar_2"/>
      </headerbars>
    </object>
    <object class="HdyHeaderGroup" id="outer_header_group">
      <property name="decorate-all" bind-source="outer_leaflet" bind-property="folded" bind-flags="sync-create"/>
      <headerbars>
        <headerbar name="inner_header_group"/>
        <headerbar name="outer_header_bar"/>
      </headerbars>
    </object>

Available since: 1.0

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GtkBuildable

#### Constructors

###### hdy_header_group_new

Creates a new `HdyHeaderGroup`.

since: 1.0

#### Instance methods

###### hdy_header_group_add_gtk_header_bar

Adds `header_bar` to `self`.

since: 1.0

###### hdy_header_group_add_header_bar

Adds `header_bar` to `self`.

since: 1.0

###### hdy_header_group_add_header_group

Adds `header_group` to `self`.

since: 1.0

###### hdy_header_group_get_children

Returns the list of children associated with `self`.

since: 1.0

###### hdy_header_group_get_decorate_all

Gets whether the elements of the group should all receive the full decoration.

since: 1.0

###### hdy_header_group_remove_child

Removes `child` from `self`.

since: 1.0

###### hdy_header_group_remove_gtk_header_bar

Removes `header_bar` from `self`.

since: 1.0

###### hdy_header_group_remove_header_bar

Removes `header_bar` from `self`.

since: 1.0

###### hdy_header_group_remove_header_group

Removes a nested `HdyHeaderGroup` from `self`.

since: 1.0

###### hdy_header_group_set_decorate_all

Sets whether the elements of the group should all receive the full decoration.

since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GtkBuildable (10)

###### gtk_buildable_add_child

Adds a child to `buildable`. `type` is an optional string describing how the child should be added.

###### gtk_buildable_construct_child

Constructs a child of `buildable` with the name `name`.

###### gtk_buildable_custom_finished

This is similar to `gtk_buildable_parser_finished()` but is called once for each custom tag handled by the `buildable`.

###### gtk_buildable_custom_tag_end

This is called at the end of each custom element handled by the buildable.

###### gtk_buildable_custom_tag_start

This is called for each unknown element under `<child>`.

###### gtk_buildable_get_internal_child

Get the internal child called `childname` of the `buildable` object.

###### gtk_buildable_get_name

Gets the name of the `buildable` object.

###### gtk_buildable_parser_finished

Called when the builder finishes the parsing of a [GtkBuilder UI definition][BUILDER-UI]. Note that this will be called once for each time `gtk_builder_add_from_file()` or `gtk_builder_add_from_string()` is called on a builder.

###### gtk_buildable_set_buildable_property

Sets the property name `name` to `value` on the `buildable` object.

###### gtk_buildable_set_name

Sets the name of the `buildable` object.

#### Properties

###### Handy.HeaderGroup:decorate-all

Whether the elements of the group should all receive the full decoration.

since: 1.0

#### Signals

###### Handy.HeaderGroup::update-decoration-layouts

This signal is emitted before updating the decoration layouts.

since: 1.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct HandyHeaderGroupClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.